[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [birt-dev] upgrade from birt 2.3 to 4.4 occurred issues

Hi Fanxue,

 

It is better to asked these types of questions on the BIRT forum: http://www.eclipse.org/forums/index.php?t=thread&frm_id=2

 

Regards,

 

Paul.

 

From: birt-dev-bounces@xxxxxxxxxxx [mailto:birt-dev-bounces@xxxxxxxxxxx] On Behalf Of Fanxue Bu
Sent: Tuesday, September 16, 2014 7:42 PM
To: birt-dev@xxxxxxxxxxx
Subject: [birt-dev] upgrade from birt 2.3 to 4.4 occurred issues

 

Environment:

 JDK 1.6

application server :Jboss 4.2.3

current birt 2.2(runninig fine)

now i want to upgrade to birt 4.4, other environment not changes.

below is error:

10:19:42,838 ERROR Marking servlet ViewerServlet as unavailable

10:19:42,838 ERROR [[ViewerServlet]] Allocate exception for servlet ViewerServlet

org.apache.commons.discovery.DiscoveryException: Class org.apache.commons.logging.impl.SLF4JLogFactory does not implement org.apache.commons.logging.LogFactory

how to fix this ? maybe I need your guys help. Thank a lot.